%define name	graphviz
%define version	2.2.1
%define release	%mkrel 3

%define major		7
%define libname		%mklibname %{name} %{major}
%define libnamedevel	%{libname}-devel
%define libnametcl	%mklibname %{name}tcl %{major}
%define libnametcldevel	%{libnametcl}-devel

Summary:	Graph visualization tools
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphics
License:	Common Public License
URL:		http://www.graphviz.org
Source:		http://www.graphviz.org/pub/graphviz/ARCHIVE/%{name}-%{version}.tar.bz2
Patch0:		graphviz-2.2.1-lib64.patch.bz2
BuildRequires:	autoconf2.5 >= 2.58
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	freetype2-devel
BuildRequires:	gd-devel >= 2.0.29
BuildRequires:	gettext-devel
BuildRequires:	libcurl-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	tcl >= 8.3.0
BuildRequires:	tk >= 8.3.0
BuildRequires:	XFree86-devel
BuildRequires:	zlib-devel
BuildRequires:	chrpath
BuildRequires:	libexpat-devel
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
A collection of tools and tcl packages for the manipulation and layout
of graphs (as in nodes and edges, not as in barcharts).

%package -n	%{libname}
Group:		System/Libraries
Summary:	Shared library for %{name}
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
This package provides shared library for %{name}.

%package -n	%{libnametcl}
Group:		System/Libraries
Summary:	Tcl extension for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}tcl = %{version}-%{release}

%description -n	%{libnametcl}
This package provides tcl extension for %{name}.

%package -n	%{libnamedevel}
Group:		Development/C
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libnamedevel}
This package contains the files needed for developing programs using
%{name} libraries.

%package -n	%{libnametcldevel}
Group:		Development/Other
Summary:	Tcl Development files for %{name}
Requires:	%{libnametcl} = %{version}-%{release}
Provides:	lib%{name}tcl-devel = %{version}-%{release}

%description -n	%{libnametcldevel}
This package contains the files needed for developing programs using tcl
%{name} libraries.

%prep
%setup -q
%patch0 -p1 -b .lib64

%if %mdkversion < 1020
# XXX doesn't seem to still be valid
export WANT_AUTOCONF_2_5=1
sh ./autogen.sh
%else
autoconf
%endif

# remove CVS stuff
rm -rf doc/CVS
rm -rf doc/info/CVS

%build
%configure2_5x \
    --with-x \
    --with-curlincludedir=%{_includedir}/curl \
    --enable-static

%make

%install
rm -rf $RPM_BUILD_ROOT

#%%makeinstall_std 'transform=s,^,,'

%makeinstall_std

mv %{buildroot}%{_libdir}/%{name}/pkgconfig \
    %{buildroot}%{_libdir}/pkgconfig

chrpath -d %{buildroot}/%{_bindir}/{acyclic,bcomps,ccomps,circo,dijkstra,dot,fdp,gc,gvcolor,gvpack,gvpr,gxl2dot,lefty,neato,nop,prune,sccmap,tred,twopi,unflatten}

mkdir -p %{buildroot}/%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/%{name}" >  %{buildroot}/%{_sysconfdir}/ld.so.conf.d/%name.conf

# to not conflict with gpr
#mv $RPM_BUILD_ROOT%{_bindir}/gpr $RPM_BUILD_ROOT%{_bindir}/gpr-%{name}

# multiarch build support
%multiarch_binaries %{buildroot}%{_bindir}/dotneato-config

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libnametcl} -p /sbin/ldconfig

%postun -n %{libnametcl} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS
%doc doc/*
%{_bindir}/*
%exclude %{_bindir}/dotneato-config
%multiarch %exclude %{multiarch_bindir}
%multiarch %exclude %{multiarch_bindir}/dotneato-config
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/demo
%exclude %{_datadir}/%{name}/graphs
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/libagraph.so.*
%{_libdir}/%{name}/libcdt.so.*
%{_libdir}/%{name}/libexpr.so.*
%{_libdir}/%{name}/libgraph.so.*
%{_libdir}/%{name}/libpack.so.*
%{_libdir}/%{name}/libpathplan.so.*
%{_libdir}/%{name}/libdotneato.so.*
%{_libdir}/%{name}/libcircogen.so.*
%{_libdir}/%{name}/libcommon.so.*
%{_libdir}/%{name}/libdotgen.so.*
%{_libdir}/%{name}/libfdpgen.so.*
%{_libdir}/%{name}/libneatogen.so.*
%{_libdir}/%{name}/libtwopigen.so.*
%{_libdir}/%{name}/libgvrender.so.*
%{_sysconfdir}/ld.so.conf.d/%{name}.conf

%files -n %{libnametcl}
%defattr(-,root,root)
%{_libdir}/%{name}/libgdtclft.so.*
%{_libdir}/%{name}/libtcldot.so.*
%{_libdir}/%{name}/libtclplan.so.*
%{_libdir}/%{name}/libtkspline.so.*
%{_libdir}/%{name}/pkgIndex.tcl

%files -n %{libnamedevel}
%defattr(-,root,root)
%{_bindir}/dotneato-config
%multiarch %{multiarch_bindir}/dotneato-config
%{_includedir}/%{name}
%{_libdir}/%{name}/libagraph.a
%{_libdir}/%{name}/libagraph.so
%{_libdir}/%{name}/libagraph.la
%{_libdir}/%{name}/libcdt.a
%{_libdir}/%{name}/libcdt.so
%{_libdir}/%{name}/libcdt.la
%{_libdir}/%{name}/libexpr.a
%{_libdir}/%{name}/libexpr.so
%{_libdir}/%{name}/libexpr.la
%{_libdir}/%{name}/libgraph.a
%{_libdir}/%{name}/libgraph.so
%{_libdir}/%{name}/libgraph.la
%{_libdir}/%{name}/libpack.a
%{_libdir}/%{name}/libpack.so
%{_libdir}/%{name}/libpack.la
%{_libdir}/%{name}/libpathplan.a
%{_libdir}/%{name}/libpathplan.so
%{_libdir}/%{name}/libpathplan.la
%{_libdir}/%{name}/libdotneato.a
%{_libdir}/%{name}/libdotneato.so
%{_libdir}/%{name}/libdotneato.la
%{_libdir}/%{name}/libcircogen.a
%{_libdir}/%{name}/libcircogen.so
%{_libdir}/%{name}/libcircogen.la
%{_libdir}/%{name}/libcommon.a
%{_libdir}/%{name}/libcommon.so
%{_libdir}/%{name}/libcommon.la
%{_libdir}/%{name}/libdotgen.a
%{_libdir}/%{name}/libdotgen.so
%{_libdir}/%{name}/libdotgen.la
%{_libdir}/%{name}/libfdpgen.a
%{_libdir}/%{name}/libfdpgen.so
%{_libdir}/%{name}/libfdpgen.la
%{_libdir}/%{name}/libneatogen.a
%{_libdir}/%{name}/libneatogen.so
%{_libdir}/%{name}/libneatogen.la
%{_libdir}/%{name}/libtwopigen.a
%{_libdir}/%{name}/libtwopigen.so
%{_libdir}/%{name}/libtwopigen.la
%{_libdir}/%{name}/libgvrender.a
%{_libdir}/%{name}/libgvrender.so
%{_libdir}/%{name}/libgvrender.la
%{_libdir}/pkgconfig/*.pc
%{_datadir}/%{name}/graphs
%{_mandir}/man3/*

%files -n %{libnametcldevel}
%defattr(-,root,root)
%{_libdir}/%{name}/libgdtclft.a
%{_libdir}/%{name}/libgdtclft.so
%{_libdir}/%{name}/libgdtclft.la
%{_libdir}/%{name}/libtcldot.a
%{_libdir}/%{name}/libtcldot.so
%{_libdir}/%{name}/libtcldot.la
%{_libdir}/%{name}/libtclplan.a
%{_libdir}/%{name}/libtclplan.so
%{_libdir}/%{name}/libtclplan.la
%{_libdir}/%{name}/libtkspline.a
%{_libdir}/%{name}/libtkspline.so
%{_libdir}/%{name}/libtkspline.la
%{_datadir}/%{name}/demo
%{_mandir}/mann/*

%changelog
* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2.1-3mdk
- lib64 & buildrequires fixes

* Sun Jul 31 2005 Couriousous <couriousous@mandriva.org> 2.2.1-2mdk
- Add linker file, thanks Abel Cheung for the sugestion

* Tue May 17 2005 Eskild Hustvedt <eskild@mandriva.org> 2.2.1-1mdk
- %%mkrel
- From Tigrux <tigrux@ximian.com>

* Wed Mar 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2-3mdk
- don't nuke rpath, it is required when building ImageMagick

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2-2mdk
- multiarch, also fix typo in script that fooled check-multiarch-files

* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.2-1mdk
- 2.2
- use the %%configure2_5x macro
- fix pkgconfig location
- fix deps
- fix build on < 10.2 (autogen.sh)
- misc spec file fixes

* Tue Jan 25 2005 Pascal Terjan <pterjan@mandrake.org> 2.0-2mdk
- BuildRequires gd-devel

* Thu Jan 13 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-1mdk 
- new version
- back in official contribs

* Sat Sep 25 2004 Michael Scherer <misc@zarb.org> 1.12-3plf 
- rebuild, fix rpmlint warning

* Tue May 11 2004 Michael Scherer <misc@zarb.org> 1.12-2plf 
- fix plf reason
- fix email contact ( damned bug in rpmbuildupdate )
- fix prefix 

* Mon May 10 2004 Michael Scherer <misc@mandrakesoft.com> 1.12-1mdk
- New release 1.12
- rpmbuildupdate aware
- plf reason

* Sat Jul 12 2003 Gtz Waschk <goetz@plf.zarb.org> 1.9.0-6plf
- rebuild for new rpm

* Mon Jun 23 2003 Gtz Waschk <goetz@plf.zarb.org> 1.9.0-5plf
- add provides and obsoletes for the graphs subpackage
- fix buildrequires

* Wed May 28 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.9.0-4plf
- fix group (thx dear homonymous)
- subpackage reorganisation
- fixed %%mklibname use
- buildrequires tk

* Sun Feb 09 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.9.0-3plf
- add %%post and %%postun
- fix tranform binary name
- fix conflict with gpr

* Sun Feb 09 2003 Guillaume Rousse <guillomovitch@zarb.org> 1.9.0-2plf
- fix requires

* Sat Feb 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.9.0-1plf
- 1.9.0 (from pupeno)
- clean up
- use %%mklibname

* Thu Dec 19 2002 Guillaume Rousse <guillomovitch@zarb.org> 1.8.10-1plf
- first plf release
